import request from '@/config/axios'

// 能耗类型 VO
export interface EnergyTypeVO {
  id: number // ID
  code: string // 能耗类型编码
  name: string // 能耗类型名称
  unit: string // 单位
  isEnable: boolean // 是否启用
  remark: string // 备注
}

// 能耗类型 API
export const EnergyTypeApi = {
  // 查询能耗类型分页
  getEnergyTypePage: async (params: any) => {
    return await request.get({ url: `/mes/energy-type/page`, params })
  },

  // 查询能耗类型详情
  getEnergyType: async (id: number) => {
    return await request.get({ url: `/mes/energy-type/get?id=` + id })
  },

  // 新增能耗类型
  createEnergyType: async (data: EnergyTypeVO) => {
    return await request.post({ url: `/mes/energy-type/create`, data })
  },

  // 修改能耗类型
  updateEnergyType: async (data: EnergyTypeVO) => {
    return await request.put({ url: `/mes/energy-type/update`, data })
  },

  // 删除能耗类型
  deleteEnergyType: async (id: number) => {
    return await request.delete({ url: `/mes/energy-type/delete?id=` + id })
  },

  // 导出能耗类型 Excel
  exportEnergyType: async (params) => {
    return await request.download({ url: `/mes/energy-type/export-excel`, params })
  },

      // 获得能耗类型列表
      getEnergyTypeList: async (params?: any) => {
        return await request.get({ url: `/mes/energy-type/list`, params })
      },
}
